package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (05/07/2010)
 */
public class P06B32T00Datatype implements Serializable {
		
	private String ejercicio = "";
	private String numExp = "";
	private String clase = "";
	private String identificador = "";
	private String razSoc = "";
	private String nombre = "";
	private String ape1 = "";
	private String ape2 = "";
	private String domici = "";
	private String codMun = "";
	private String locali = "";
	private String codPro = "";
	private String codPst = "";
	private String telefono = "";
	private String fax = "";
	private String mail = "";
	private String capSoc = "";
	private String entidadPoliza = "";
	private String garantiaPoliza = "";
	private String entidadAval = "";
	private String importeAval = "";
	private String nomRepres = "";
	private String empRepres = "";
	private String calidadRepres = "";
	private String fecDec = "";
	private String fecEnvio = "";
	private String cifNifEnvio = "";
	private String nomFichEnvio = "";
	
	//Nuevos campos por Decreto del 12 junio 2010
	private String movil = "";
	private String dominioInternet = "";
	private String fhEfectoDesde = "";
	private String fhEfectoHasta = "";
	private String tipoCapacFinan = "";
	private String enGrupo = "";
	private String denomGrupo = "";
	private String domiciGrupo = "";
	private String poblGrupo = "";
	private String provGrupo = "";
	private String codpostalGrupo = "";
	private String paisGrupo = "";
	private String tipoResponCivil = "";
	private String actControlada = "";
		

	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
	
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}

	/**
	 * @return Returns the clase.
	 */
	public String getClase() {
		return clase;
	}
	/**
	 * @param clase The clase to set.
	 */
	public void setClase(String clase) {
		this.clase = clase;
	}
	
	/**
	 * @return Returns the identificador.
	 */
	public String getIdentificador() {
		return identificador;
	}
	/**
	 * @param identificador The identificador to set.
	 */
	public void setIdentificador(String identificador) {
		this.identificador = identificador;
	}
	
	/**
	 * @return Returns the razSoc.
	 */
	public String getRazSoc() {
		return razSoc;
	}
	/**
	 * @param razSoc The razSoc to set.
	 */
	public void setRazSoc(String razSoc) {
		this.razSoc = razSoc;
	}
	
	/**
	 * @return Returns the nombre.
	 */
	public String getNombre() {
		return nombre;
	}
	/**
	 * @param nombre The nombre to set.
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	
	/**
	 * @return Returns the ape1.
	 */
	public String getApe1() {
		return ape1;
	}
	/**
	 * @param ape1 The ape1 to set.
	 */
	public void setApe1(String ape1) {
		this.ape1 = ape1;
	}
	
	/**
	 * @return Returns the ape2.
	 */
	public String getApe2() {
		return ape2;
	}
	/**
	 * @param ape2 The ape2 to set.
	 */
	public void setApe2(String ape2) {
		this.ape2 = ape2;
	}
	
	/**
	 * @return Returns the domici.
	 */
	public String getDomici() {
		return domici;
	}
	/**
	 * @param domici The domici to set.
	 */
	public void setDomici(String domici) {
		this.domici = domici;
	}
	
	/**
	 * @return Returns the codMun.
	 */
	public String getCodMun() {
		return codMun;
	}
	/**
	 * @param codMun The codMun to set.
	 */
	public void setCodMun(String codMun) {
		this.codMun = codMun;
	}
	
	/**
	 * @return Returns the locali.
	 */
	public String getLocali() {
		return locali;
	}
	/**
	 * @param locali The locali to set.
	 */
	public void setLocali(String locali) {
		this.locali = locali;
	}
	
	/**
	 * @return Returns the codPro.
	 */
	public String getCodPro() {
		return codPro;
	}
	/**
	 * @param codPro The codPro to set.
	 */
	public void setCodPro(String codPro) {
		this.codPro = codPro;
	}
	
	/**
	 * @return Returns the codPst.
	 */
	public String getCodPst() {
		return codPst;
	}
	/**
	 * @param codPst The codPst to set.
	 */
	public void setCodPst(String codPst) {
		this.codPst = codPst;
	}
	
	/**
	 * @return Returns the telefono.
	 */
	public String getTelefono() {
		return telefono;
	}
	/**
	 * @param telefono The telefono to set.
	 */
	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}
	
	/**
	 * @return Returns the fax.
	 */
	public String getFax() {
		return fax;
	}
	/**
	 * @param fax The fax to set.
	 */
	public void setFax(String fax) {
		this.fax = fax;
	}
	
	/**
	 * @return Returns the mail.
	 */
	public String getMail() {
		return mail;
	}
	/**
	 * @param mail The mail to set.
	 */
	public void setMail(String mail) {
		this.mail = mail;
	}
	
	/**
	 * @return Returns the capSoc.
	 */
	public String getCapSoc() {
		return capSoc;
	}
	/**
	 * @param capSoc The capSoc to set.
	 */
	public void setCapSoc(String capSoc) {
		this.capSoc = capSoc;
	}
	
	/**
	 * @return Returns the entidadPoliza.
	 */
	public String getEntidadPoliza() {
		return entidadPoliza;
	}
	/**
	 * @param entidadPoliza The entidadPoliza to set.
	 */
	public void setEntidadPoliza(String entidadPoliza) {
		this.entidadPoliza = entidadPoliza;
	}
	
	/**
	 * @return Returns the garantiaPoliza.
	 */
	public String getGarantiaPoliza() {
		return garantiaPoliza;
	}
	/**
	 * @param garantiaPoliza The garantiaPoliza to set.
	 */
	public void setGarantiaPoliza(String garantiaPoliza) {
		this.garantiaPoliza = garantiaPoliza;
	}
	
	/**
	 * @return Returns the entidadAval.
	 */
	public String getEntidadAval() {
		return entidadAval;
	}
	/**
	 * @param entidadAval The entidadAval to set.
	 */
	public void setEntidadAval(String entidadAval) {
		this.entidadAval = entidadAval;
	}
	
	/**
	 * @return Returns the importeAval.
	 */
	public String getImporteAval() {
		return importeAval;
	}
	/**
	 * @param importeAval The importeAval to set.
	 */
	public void setImporteAval(String importeAval) {
		this.importeAval = importeAval;
	}
	
	/**
	 * @return Returns the nomRepres.
	 */
	public String getNomRepres() {
		return nomRepres;
	}
	/**
	 * @param nomRepres The nomRepres to set.
	 */
	public void setNomRepres(String nomRepres) {
		this.nomRepres = nomRepres;
	}
	
	/**
	 * @return Returns the empRepres.
	 */
	public String getEmpRepres() {
		return empRepres;
	}
	/**
	 * @param empRepres The empRepres to set.
	 */
	public void setEmpRepres(String empRepres) {
		this.empRepres = empRepres;
	}
	
	/**
	 * @return Returns the calidadRepres.
	 */
	public String getCalidadRepres() {
		return calidadRepres;
	}
	/**
	 * @param calidadRepres The calidadRepres to set.
	 */
	public void setCalidadRepres(String calidadRepres) {
		this.calidadRepres = calidadRepres;
	}
	
	/**
	 * @return Returns the fecDec.
	 */
	public String getFecDec() {
		return fecDec;
	}
	/**
	 * @param fecDec The fecDec to set.
	 */
	public void setFecDec(String fecDec) {
		this.fecDec = fecDec;
	}
	
	/**
	 * @return Returns the fecEnvio.
	 */
	public String getFecEnvio() {
		return fecEnvio;
	}
	/**
	 * @param fecEnvio The fecEnvio to set.
	 */
	public void setFecEnvio(String fecEnvio) {
		this.fecEnvio = fecEnvio;
	}
	
	/**
	 * @return Returns the cifNifEnvio.
	 */
	public String getCifNifEnvio() {
		return cifNifEnvio;
	}
	/**
	 * @param cifNifEnvio The cifNifEnvio to set.
	 */
	public void setCifNifEnvio(String cifNifEnvio) {
		this.cifNifEnvio = cifNifEnvio;
	}

	/**
	 * @return Returns the nomFichEnvio.
	 */
	public String getNomFichEnvio() {
		return nomFichEnvio;
	}
	/**
	 * @param nomFichEnvio The nomFichEnvio to set.
	 */
	public void setNomFichEnvio(String nomFichEnvio) {
		this.nomFichEnvio = nomFichEnvio;
	}
	
	/**
	 * @return Returns the movil.
	 */
	public String getMovil() {
		return movil;
	}
	/**
	 * @param movil The movil to set.
	 */
	public void setMovil(String movil) {
		this.movil = movil;
	}
	
	/**
	 * @return Returns the dominioInternet.
	 */
	public String getDominioInternet() {
		return dominioInternet;
	}
	/**
	 * @param dominioInternet The dominioInternet to set.
	 */
	public void setDominioInternet(String dominioInternet) {
		this.dominioInternet = dominioInternet;
	}
	
	/**
	 * @return Returns the fhEfectoDesde.
	 */
	public String getFhEfectoDesde() {
		return fhEfectoDesde;
	}
	/**
	 * @param fhEfectoDesde The fhEfectoDesde to set.
	 */
	public void setFhEfectoDesde(String fhEfectoDesde) {
		this.fhEfectoDesde = fhEfectoDesde;
	}
	
	/**
	 * @return Returns the fhEfectoHasta.
	 */
	public String getFhEfectoHasta() {
		return fhEfectoHasta;
	}
	/**
	 * @param fhEfectoHasta The fhEfectoHasta to set.
	 */
	public void setFhEfectoHasta(String fhEfectoHasta) {
		this.fhEfectoHasta = fhEfectoHasta;
	}
	
	/**
	 * @return Returns the tipoCapacFinan.
	 */
	public String getTipoCapacFinan() {
		return tipoCapacFinan;
	}
	/**
	 * @param tipoCapacFinan The tipoCapacFinan to set.
	 */
	public void setTipoCapacFinan(String tipoCapacFinan) {
		this.tipoCapacFinan = tipoCapacFinan;
	}
	
	/**
	 * @return Returns the enGrupo.
	 */
	public String getEnGrupo() {
		return enGrupo;
	}
	/**
	 * @param enGrupo The enGrupo to set.
	 */
	public void setEnGrupo(String enGrupo) {
		this.enGrupo = enGrupo;
	}
	
	/**
	 * @return Returns the denomGrupo.
	 */
	public String getDenomGrupo() {
		return denomGrupo;
	}
	/**
	 * @param denomGrupo The denomGrupo to set.
	 */
	public void setDenomGrupo(String denomGrupo) {
		this.denomGrupo = denomGrupo;
	}
	
	/**
	 * @return Returns the domiciGrupo.
	 */
	public String getDomiciGrupo() {
		return domiciGrupo;
	}
	/**
	 * @param domiciGrupo The domiciGrupo to set.
	 */
	public void setDomiciGrupo(String domiciGrupo) {
		this.domiciGrupo = domiciGrupo;
	}
	
	/**
	 * @return Returns the poblGrupo.
	 */
	public String getPoblGrupo() {
		return poblGrupo;
	}
	/**
	 * @param poblGrupo The poblGrupo to set.
	 */
	public void setPoblGrupo(String poblGrupo) {
		this.poblGrupo = poblGrupo;
	}
	
	/**
	 * @return Returns the provGrupo.
	 */
	public String getProvGrupo() {
		return provGrupo;
	}
	/**
	 * @param provGrupo The provGrupo to set.
	 */
	public void setProvGrupo(String provGrupo) {
		this.provGrupo = provGrupo;
	}
	
	/**
	 * @return Returns the codpostalGrupo.
	 */
	public String getCodpostalGrupo() {
		return codpostalGrupo;
	}
	/**
	 * @param codpostalGrupo The codpostalGrupo to set.
	 */
	public void setCodpostalGrupo(String codpostalGrupo) {
		this.codpostalGrupo = codpostalGrupo;
	}
	
	/**
	 * @return Returns the paisGrupo.
	 */
	public String getPaisGrupo() {
		return paisGrupo;
	}
	/**
	 * @param paisGrupo The paisGrupo to set.
	 */
	public void setPaisGrupo(String paisGrupo) {
		this.paisGrupo = paisGrupo;
	}
	
	/**
	 * @return Returns the tipoResponCivil.
	 */
	public String getTipoResponCivil() {
		return tipoResponCivil;
	}
	/**
	 * @param tipoResponCivil The tipoResponCivil to set.
	 */
	public void setTipoResponCivil(String tipoResponCivil) {
		this.tipoResponCivil = tipoResponCivil;
	}
	
	/**
	 * @return Returns the actControlada.
	 */
	public String getActControlada() {
		return actControlada;
	}
	/**
	 * @param actControlada The actControlada to set.
	 */
	public void setActControlada(String actControlada) {
		this.actControlada = actControlada;
	}
	

	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; Número Expediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; Clase mediador: ");
		textoImprimir.append(clase);
		textoImprimir.append("; Cif/Nif: ");
		textoImprimir.append(identificador);
		textoImprimir.append("; Razón social: ");
		textoImprimir.append(razSoc);
		textoImprimir.append("; Nombre: ");
		textoImprimir.append(nombre);
		textoImprimir.append("; Apellido 1: ");
		textoImprimir.append(ape1);
		textoImprimir.append("; Apellido 2: ");
		textoImprimir.append(ape2);
		textoImprimir.append("; Domicilio: ");
		textoImprimir.append(domici);
		textoImprimir.append("; CodMunicipio: ");
		textoImprimir.append(codMun);
		textoImprimir.append("; Localidad: ");
		textoImprimir.append(locali);
		textoImprimir.append("; CodProvincia: ");
		textoImprimir.append(codPro);
		textoImprimir.append("; CodPostal: ");
		textoImprimir.append(codPst);
		textoImprimir.append("; Teléfono: ");
		textoImprimir.append(telefono);
		textoImprimir.append("; Fax: ");
		textoImprimir.append(fax);
		textoImprimir.append("; Email: ");
		textoImprimir.append(mail);
		textoImprimir.append("; Capital Social: ");
		textoImprimir.append(capSoc);
		textoImprimir.append("; Entidad Poliza: ");
		textoImprimir.append(entidadPoliza);
		textoImprimir.append("; Garantia Poliza: ");
		textoImprimir.append(garantiaPoliza);
		textoImprimir.append("; Entidad Aval: ");
		textoImprimir.append(entidadAval);
		textoImprimir.append("; Importe Aval: ");
		textoImprimir.append(importeAval);
		textoImprimir.append("; Nombre representante: ");
		textoImprimir.append(nomRepres);
		textoImprimir.append("; Empresa representante: ");
		textoImprimir.append(empRepres);
		textoImprimir.append("; En calidad de:: ");
		textoImprimir.append(calidadRepres);
		textoImprimir.append("; Fecha DEC: ");
		textoImprimir.append(fecDec);
		textoImprimir.append("; Fecha Envío: ");
		textoImprimir.append(fecEnvio);
		textoImprimir.append("; CifNif Envío: ");
		textoImprimir.append(cifNifEnvio);
		textoImprimir.append("; NomFichEnvio: ");
		textoImprimir.append(nomFichEnvio);
		textoImprimir.append("; movil: ");
		textoImprimir.append(movil);
		textoImprimir.append("; dominioInternet: ");
		textoImprimir.append(dominioInternet);
		textoImprimir.append("; fhEfectoDesde: ");
		textoImprimir.append(fhEfectoDesde);
		textoImprimir.append("; fhEfectoHasta: ");
		textoImprimir.append(fhEfectoHasta);
		textoImprimir.append("; tipoCapacFinan: ");
		textoImprimir.append(tipoCapacFinan);
		textoImprimir.append("; enGrupo: ");
		textoImprimir.append(enGrupo);
		textoImprimir.append("; denomGrupo: ");
		textoImprimir.append(denomGrupo);
		textoImprimir.append("; domiciGrupo: ");
		textoImprimir.append(domiciGrupo);
		textoImprimir.append("; poblGrupo: ");
		textoImprimir.append(poblGrupo);
		textoImprimir.append("; provGrupo: ");
		textoImprimir.append(provGrupo);
		textoImprimir.append("; codpostalGrupo: ");
		textoImprimir.append(codpostalGrupo);
		textoImprimir.append("; paisGrupo: ");
		textoImprimir.append(paisGrupo);
		textoImprimir.append("; tipoResponCivil: ");
		textoImprimir.append(tipoResponCivil);
		textoImprimir.append("; actControlada: ");
		textoImprimir.append(actControlada);
		
		return textoImprimir.toString();
	}
	
	
	

}
